# Uses of Class
org.apache.avro.util.Utf8

Packages that use Utf8
Package
Description
org.apache.avro.io
Utilities for Encoding and Decoding Avro data.
org.apache.avro.util
Common utility classes.

## Uses of Utf8 in org.apache.avro.io

Methods in org.apache.avro.io that return Utf8
Modifier and Type
Method
Description
`Utf8`
BinaryDecoder.`readString(Utf8 old)`
`abstract Utf8`
Decoder.`readString(Utf8 old)`
Reads a char-string written by `Encoder.writeString(org.apache.avro.util.Utf8)`.
`Utf8`
JsonDecoder.`readString(Utf8 old)`
`Utf8`
ResolvingDecoder.`readString(Utf8 old)`
`Utf8`
ValidatingDecoder.`readString(Utf8 old)`
Methods in org.apache.avro.io with parameters of type Utf8
Modifier and Type
Method
Description
`Utf8`
BinaryDecoder.`readString(Utf8 old)`
`abstract Utf8`
Decoder.`readString(Utf8 old)`
Reads a char-string written by `Encoder.writeString(org.apache.avro.util.Utf8)`.
`Utf8`
JsonDecoder.`readString(Utf8 old)`
`Utf8`
ResolvingDecoder.`readString(Utf8 old)`
`Utf8`
ValidatingDecoder.`readString(Utf8 old)`
`void`
BinaryEncoder.`writeString(Utf8 utf8)`
`abstract void`
Encoder.`writeString(Utf8 utf8)`
Write a Unicode character string.
`void`
JsonEncoder.`writeString(Utf8 utf8)`
`void`
ValidatingEncoder.`writeString(Utf8 utf8)`

## Uses of Utf8 in org.apache.avro.util

Methods in org.apache.avro.util that return Utf8
Modifier and Type
Method
Description
`Utf8`
Utf8.`set(String string)`
Set to the contents of a String.
`Utf8`
Utf8.`set(Utf8 other)`
`Utf8`
Utf8.`setByteLength(int newLength)`
Set length in bytes.
`Utf8`
Utf8.`setLength(int newLength)`
Deprecated.
call `setByteLength(int)` instead.
Methods in org.apache.avro.util with parameters of type Utf8
Modifier and Type
Method
Description
`int`
Utf8.`compareTo(Utf8 that)`
`Utf8`
Utf8.`set(Utf8 other)`
Constructors in org.apache.avro.util with parameters of type Utf8
Modifier
Constructor
Description
``
`Utf8(Utf8 other)`